SimpleGroovyParameter (Groovy 2.4.10)
Date: 2017-03-14

org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyParameter

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyParameter

- All Implemented Interfaces:
    GroovyParameter

      public class SimpleGroovyParameter
      extends Object
      implements GroovyParameter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGroovyParameter(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnnotationRef(GroovyAnnotationRef ref)`
    `GroovyAnnotationRef[]` | `annotations()`
    `String` | `defaultValue()`
    `boolean` | `isTypeAvailable()`
    `String` | `name()`
    `void` | `setDefaultValue(String defaultValue)`
    `void` | `setType(GroovyType type)`
    `void` | `setTypeName(String typeName)`
    `void` | `setVararg(boolean vararg)`
    `GroovyType` | `type()`
    `String` | `typeName()`
    `boolean` | `vararg()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleGroovyParameter

          public SimpleGroovyParameter(String name)

  - ### Method Detail

    - #### defaultValue

          public String defaultValue()

      Specified by:
        `defaultValue` in interface `GroovyParameter`

    - #### setDefaultValue

          public void setDefaultValue(String defaultValue)

    - #### name

          public String name()

      Specified by:
        `name` in interface `GroovyParameter`

    - #### typeName

          public String typeName()

      Specified by:
        `typeName` in interface `GroovyParameter`

    - #### setTypeName

          public void setTypeName(String typeName)

    - #### annotations

          public GroovyAnnotationRef[] annotations()

      Specified by:
        `annotations` in interface `GroovyParameter`

    - #### addAnnotationRef

          public void addAnnotationRef(GroovyAnnotationRef ref)

    - #### type

          public GroovyType type()

      Specified by:
        `type` in interface `GroovyParameter`

    - #### setType

          public void setType(GroovyType type)

    - #### isTypeAvailable

          public boolean isTypeAvailable()

    - #### vararg

          public boolean vararg()

    - #### setVararg

          public void setVararg(boolean vararg)